<?php

/********************************************************************************
	- MemHT Portal -
	
	Copyright (C) 2007-2008 by Miltenovik Manojlo
	http://www.memht.com
	
	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your opinion) any later version.
	
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License along
	with this program; if not, see <http://www.gnu.org/licenses/> (GPLv2)
	or write to the Free Software Foundation, Inc., 51 Franklin Street,
	Fifth Floor, Boston, MA02110-1301, USA.
		
********************************************************************************/

if (!defined("_LOAD_PAGE_")) {
	die("<table style='padding: 2px; border: 1px solid #999; background-color: #EEE; font-family: Verdana; font-size: 10px;' align='center'><tr><td><b>Error:</b> This file cannot be opened directly!</td></tr></table>");
}

if (isSet($_POST['op'])) { $op = inCode($_POST['op']); } else { $op = ""; }

function dbMenu() {
	global $page;

	require_once("admin/inc/inc_header.php");
	admin_page_title($page);
	openTable();
	
	echo "<table align='center'>\n";
		echo "<form name='optdb' method='post' action='admin.php?page=database'>\n";
			echo "<tr><td colspan='2' style='text-align: center;'><b>"._OPERATION_."</b></td></tr>";
			echo "<tr>\n";
			echo "<td align='center'><input type='submit' name='optimize' value='"._OPTIMIZE_."'>&nbsp;<input type='submit' name='backupfile' value='"._BACKUP_." ("._DOWNLOAD_.")'></td>\n";
			echo "<td align='left'><input type='checkbox' name='dataOnly'>"._DATAONLY_."<br><input type='checkbox' name='incDelete'>"._INCDELETE_."</td>\n";
			echo "</tr>\n";
		echo "</form>\n";
	echo "</table>";
	
	closeTable();
	require_once("admin/inc/inc_footer.php");
}

function optimizeDb() {
	global $dblink,$page;
	
	require_once("admin/inc/inc_header.php");
	admin_page_title($page);
	openTable();
	echo "<table align='center'>\n";
		echo "<form name='optdb' method='post' action='admin.php?page=database'>\n";
			echo "<tr><td colspan='2' style='text-align: center;'><b>"._OPERATION_."</b></td></tr>";
			echo "<tr>\n";
			echo "<td align='center'><input type='submit' name='optimize' value='"._OPTIMIZE_."'>&nbsp;<input type='submit' name='backupfile' value='"._BACKUP_." ("._DOWNLOAD_.")'></td>\n";
			echo "<td align='left'><input type='checkbox' name='dataOnly'>"._DATAONLY_."<br><input type='checkbox' name='incDelete'>"._INCDELETE_."</td>\n";
			echo "</tr>\n";
		echo "</form>\n";
	echo "</table>";
	$dblink->optimize(true);
	
	closeTable();
	require_once("admin/inc/inc_footer.php");
}

function backupFile($onlyData,$deleteInc) {
	global $db_name;

	header("Content-disposition: filename=$db_name"."_".@date(Y.".".m.".".d)."-".@date(H.".".i).".sql");
	header("Content-type: application/octetstream");
	header("Pragma: no-cache");
	header("Expires: 0");
		
	require_once("inc_functions.php");
	echo getDump($onlyData,$deleteInc);
	exit;
}

if (isset($_POST['optimize'])) {
	optimizeDb();
} else if (isset($_POST['backupfile'])) {
	$dataOnly = (isset($_POST['dataOnly']))?inCode($_POST['dataOnly']):false;
	$incDelete = (isset($_POST['incDelete']))?inCode($_POST['incDelete']):false;
	backupFile($dataOnly,$incDelete);
} else {
	dbMenu();
}

?>